PP.test {stats} | R Documentation

## Phillips-Perron Test for Unit Roots

### Description

Computes the Phillips-Perron test for the null hypothesis that `x` has a unit root against a stationary alternative.

### Usage

    PP.test(x, lshort = TRUE)

### Arguments

`x` | a numeric vector or univariate time series.
`lshort` | a logical indicating whether the short or long version of the truncation lag parameter is used.

### Details

The general regression equation which incorporates a constant and a linear trend is used and the corrected t-statistic for a first order autoregressive coefficient equals one is computed. To estimate `sigma^2` the Newey-West estimator is used. If `lshort` is `TRUE`, then the truncation lag parameter is set to `trunc(4*(n/100)^0.25)`, otherwise `trunc(12*(n/100)^0.25)` is used. The p-values are interpolated from Table 4.2, page 103 of Banerjee et al. (1993).

Missing values are not handled.

### Value

A list with class `"htest"` containing the following components:

`statistic` | the value of the test statistic.
`parameter` | the truncation lag parameter.
`p.value` | the p-value of the test.
`method` | a character string indicating what type of test was performed.
`data.name` | a character string giving the name of the data.

### Author(s)

A. Trapletti

### References

A. Banerjee, J. J. Dolado, J. W. Galbraith, and D. F. Hendry (1993) Cointegration, Error Correction, and the Econometric Analysis of Non-Stationary Data, Oxford University Press, Oxford.

P. Perron (1988) Trends and random walks in macroeconomic time series. Journal of Economic Dynamics and Control 12, 297–332.

### Examples

    x <- rnorm(1000)
    PP.test(x)
    y <- cumsum(x) # has unit root
    PP.test(y)

[Package stats version 2.6.0 Index]